# Create field options Create new FieldOption resources adding them to the set of valid choices for an Field where Field.hasFixedOptions = true. Endpoint: POST /field-option-batches Version: 2.0.0 Security: bearerToken ## Request fields (application/json): - `items` (array, required) - `items.batchItemId` (string, required) An ID provided by the caller to uniquely identify this item in the batch request This is will be used to match the relevant results in the batch result Example: "my-item-1" - `items.fieldId` (string, required) The unique ID of the [Field](#tag/Fields) the [FieldOption](#tag/Field-Options) should belong to Example: "a52b5315-15b8-417f-b742-d6902108bac1" - `items.value` (string, required) The human-readable value of the [FieldOption](#tag/Field-Options) Example: "Folder A" - `items.position` (integer, required) The 0-based position the [FieldOption](#tag/Field-Options) should occupy relative to the other options Example: 2 - `items.parentId` (string,null) The [FieldOption.id](#tag/Field-Options) of the option above this one in the hierarchy ## Response 200 fields (application/json): - `successes` (object, required) A map of successful results keyed on the batchItemId provided in the request - `failures` (object, required) A map of failures keyed on the batchItemId provided in the request ## Response 4XX fields (application/json): - `timestamp` (string) The datetime that the error occurred in ISO offset format Example: "2021-02-16T16:21:58.640+00:00" - `status` (integer) The HTTP status code of the error Example: 401 - `error` (string) The title of the error Example: "Unauthorized" - `message` (string) A more detailed error message - `path` (string) The path that was called which led to the error Example: "/folder-settings"